Bug Hunting Session
Bug 56412 - RTL UI: Movement of embedded objects is opposite to the change direction
Summary: RTL UI: Movement of embedded objects is opposite to the change direction
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2012-10-25 20:48 UTC by Lior Kaplan
Modified: 2019-09-18 02:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot: moving the right border to the right (62.14 KB, image/png)
2012-10-25 20:48 UTC, Lior Kaplan
Details
screen shot: left border extends to the left (61.79 KB, image/png)
2012-10-25 20:49 UTC, Lior Kaplan
Details
An example document for seeing the bug manifest (14.64 KB, application/vnd.oasis.opendocument.text)
2018-09-17 16:56 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2012-10-25 20:48:46 UTC
Created attachment 69092 [details]
screen shot: moving the right border to the right

When an OLE object is embedded in a document, and while in edit mode - moving the right border to the right, extends the border to the left. See attached pictures.

Steps to reproduce:
1. Open a new writer document.
2. Add an OLE object (e.g. a calc spreadsheet)
3. Double click on the object and try to move the right border to the right.
4. The object will extend to the left instead.
Comment 1 Lior Kaplan 2012-10-25 20:49:33 UTC
Created attachment 69093 [details]
screen shot: left border extends to the left
Comment 2 Karthikeyan Krishnamurthi 2012-11-29 06:29:36 UTC
Can you explain it bit more.. I followed the steps you provided and while i try to reproduce the error.. it works fine.
Comment 3 abdulmajeed 2012-12-04 11:56:32 UTC
I have solved part of this problem which it is the moving problem
but The resize problem  still exist :(


hope i can solve it soon.
Comment 4 Commit Notification 2013-06-05 12:47:41 UTC
abdulmajeed ahmed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b83edcf00d4ccd0c734731ed66d167286bf89d6b

fdo#56412 Movement of embedded objects is opposite to the change direction



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Lior Kaplan 2013-06-06 11:42:21 UTC
The patch fixes the problem when the OLE object isn't in edit mode. When in edit mode (see step #3 in the reproduction instructions), the bug still exists. The previously attached screen shots are still relevant.
Comment 6 QA Administrators 2015-03-17 00:13:03 UTC Comment hidden (obsolete)
Comment 7 Lior Kaplan 2015-03-20 09:39:53 UTC
Still happens in LibO 4.3.3
Comment 8 Lior Kaplan 2015-09-24 22:08:45 UTC
Still relevant in 5.0.2.
Comment 9 QA Administrators 2016-11-08 10:41:39 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2017-07-13 10:08:43 UTC
Setting Assignee back to default. Please assign it back to yourself if you're still working on this issue
Comment 11 Eyal Rozenberg 2018-09-17 16:56:14 UTC
Created attachment 144952 [details]
An example document for seeing the bug manifest

With this document (having an embedded spreadsheet) you can check whether the document manifests or not. Instructions are included within the document.
Comment 12 Eyal Rozenberg 2018-09-17 16:56:29 UTC
Bug still manifests with:

Version: 6.1.1.2
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 13 QA Administrators 2019-09-18 02:53:22 UTC
Dear Lior Kaplan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug